clang 8.0.0

Public Member Functions | List of all members
clang::CodeGen::CodeGenFunction::StmtExprEvaluation Class Reference

An RAII object to record that we're evaluating a statement expression. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CodeGenFunction.h"`

## Public Member Functions
| StmtExprEvaluation (CodeGenFunction &CGF)
| ~StmtExprEvaluation ()

## Detailed Description

An RAII object to record that we're evaluating a statement expression.

Definition at line 1034 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ StmtExprEvaluation()

clang::CodeGen::CodeGenFunction::StmtExprEvaluation::StmtExprEvaluation | ( | CodeGenFunction & | CGF | ) |
| inline

Definition at line 1043 of file CodeGenFunction.h.

## ◆ ~StmtExprEvaluation()

clang::CodeGen::CodeGenFunction::StmtExprEvaluation::~StmtExprEvaluation | ( |  | ) |
| inline

Definition at line 1048 of file CodeGenFunction.h.

References clang::CodeGen::CodeGenFunction::EnsureInsertPoint().

The documentation for this class was generated from the following file:

- lib/CodeGen/CodeGenFunction.h